import { describe } from "mocha";
import { expect } from "chai";
import { isTxRidValid } from "./txRid";
describe("txRid validation", () => {
    it("should pass validation", () => {
        const RID = Buffer.from("81BF5BA196DDDE5EBDB91A75DD03766E2EDB95AC0EAA72D4A7CCA5489CD94E52", "hex");
        expect(isTxRidValid(RID).success).to.eq(true);
    });
    it("should fail validation", () => {
        expect(isTxRidValid(Buffer.from("811")).success).to.eq(false);
        expect(isTxRidValid(12321).success).to.eq(false);
        expect(isTxRidValid("sdfsd").success).to.eq(false);
        expect(isTxRidValid(null).success).to.eq(false);
        expect(isTxRidValid(undefined).success).to.eq(false);
    });
});
//# sourceMappingURL=txRid.test.js.map