export declare enum LogLevel {
    Debug = "DEBUG",
    Info = "INFO",
    Error = "ERROR",
    Warning = "WARNING",
    Disabled = "DISABLED"
}
declare function setLogLevel(level: number | LogLevel): void;
declare function getLogLevel(): number;
declare function debug(message: string, moduleName?: string): void;
declare function info(message: string, moduleName?: string): void;
declare function error(message: string, moduleName?: string): void;
declare function warning(message: string, moduleName?: string): void;
export declare function logger(moduleName: string): {
    debug: (message: string) => void;
    info: typeof info;
    error: typeof error;
    warning: typeof warning;
    setLogLevel: typeof setLogLevel;
    disable: () => void;
};
export { debug, info, error, warning, setLogLevel, getLogLevel };
