/// <reference types="node" />
import { CustomError } from "../customError";
export declare class TxRejectedError extends Error {
    fullReason: string;
    shortReason?: string;
    rellLine?: string;
    operation?: string;
    constructor(rejectReason: string);
}
export declare class UnexpectedStatusError extends CustomError {
    constructor(status: number | null, error?: any);
}
export declare class LostMessageError extends Error {
    constructor();
}
export declare class UnexpectedResponseError extends Error {
    constructor();
}
export declare class InvalidTxRidException extends CustomError {
    constructor(txRID: Buffer);
}
export declare class SerializedTransactionFormatException extends CustomError {
    constructor();
}
export declare class GetBridFromChainException extends Error {
    constructor(chainId: number, reason: string);
}
export declare class EmptyListOfUrlsException extends CustomError {
    constructor();
}
export declare class InvalidBlockchainRIDException extends CustomError {
    constructor();
}
